<?php

namespace App\Enums;

use App\Enums\Concerns\HasValues;

enum PaymentType: string
{
    use HasValues;

    case CASH = 'cash';
    case TRANSFER = 'transfer';
    case MARKETPLACE = 'marketplace';
    case QRIS = 'qris';

    public function label(): string
    {
        return match ($this) {
            self::CASH => 'Tunai',
            self::TRANSFER => 'Transfer',
            self::MARKETPLACE => 'Marketplace',
            self::QRIS => 'QRIS',
        };
    }
}
